
Packaging - Bug #6902

mkdir: cannot create directory `/var/lib/rpm-state/foreman-proxy': No such file or directory

08/04/2014 06:01 AM - Jorick Astrego

Status: Duplicate   

Priority: Low   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

While running a rpm based update from 1.5.2 to 1.6 dev, I get the message

Updating   : foreman-proxy-1.6.0-0.develop.201407301351git0e616f1.el6.noarch                      

                                                                                                  

                                  46/97

    mkdir: cannot create directory `/var/lib/rpm-state/foreman-proxy': No such file or directory

    cp: cannot create regular file `/var/lib/rpm-state/foreman-proxy/settings.yml.orig': No such f

ile or directory

 While it does exist:

ls la /var/lib/rpm-state/foreman-proxy/

    total 8

    drwxr-x--. 2 foreman-proxy foreman-proxy 4096 Jul 30 15:56 .

    drwxr-xr-x. 3 root          root          4096 Aug  4 11:55 ..

 
mkdir /var/lib/rpm-state/foreman-proxy

    mkdir: cannot create directory `/var/lib/rpm-state/foreman-proxy': File exists

Related issues:

Is duplicate of Packaging - Bug #6660: proxy rpm upgrade from 1.5 - 1.6 night... Closed 07/17/2014

History

#1 - 08/04/2014 06:10 AM - Dominic Cleal

- Is duplicate of Bug #6660: proxy rpm upgrade from 1.5 - 1.6 nightly does not upgrade cleanly added

#2 - 08/04/2014 06:10 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks, we're fixing this under #6660.
